Skip to content
Browse files

Generated with Bundler

  • Loading branch information...
1 parent 469d831 commit 21b14e84869bc17e4fd94b906b4fdb66abd72db6 @moonglum moonglum committed
Showing with 52 additions and 0 deletions.
  1. +5 −0 .gitignore
  2. +1 −0 .rvmrc
  3. +4 −0 Gemfile
  4. 0 README
  5. +3 −0 README.md
  6. +1 −0 Rakefile
  7. +26 −0 ashikawa-core.gemspec
  8. +7 −0 lib/ashikawa-core.rb
  9. +5 −0 lib/ashikawa-core/version.rb
View
5 .gitignore
@@ -0,0 +1,5 @@
+.DS_Store
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
View
1 .rvmrc
@@ -0,0 +1 @@
+rvm gemset use ashikawa-core
View
4 Gemfile
@@ -0,0 +1,4 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in ashikawa-core.gemspec
+gemspec
View
0 README
No changes.
View
3 README.md
@@ -0,0 +1,3 @@
+# Ashikawa Core
+
+Ashikawa Core is a Wrapper around the AvocadoDB Rest API. It provides low level access and will be used in different AvocadoDB ODMs.
View
1 Rakefile
@@ -0,0 +1 @@
+require "bundler/gem_tasks"
View
26 ashikawa-core.gemspec
@@ -0,0 +1,26 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "ashikawa-core/version"
+
+Gem::Specification.new do |gem|
+ gem.name = "ashikawa-core"
+ gem.version = Ashikawa::Core::VERSION
+ gem.authors = ["moonglum", "EinLama"]
+ gem.email = ["me@moonglum.net", "tobias.eilert@me.com"]
+ gem.homepage = ""
+ gem.summary = "Ashikawa Core is a Wrapper around the AvocadoDB Rest API"
+ gem.description = "Ashikawa Core is a Wrapper around the AvocadoDB Rest API. It provides low level access and will be used in different AvocadoDB ODMs."
+
+ gem.rubyforge_project = "ashikawa-core"
+
+ gem.files = `git ls-files`.split("\n")
+ gem.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ gem.require_paths = ["lib"]
+
+ gem.add_dependency "httparty", "~> 0.8.1"
+ gem.add_development_dependency "rake", "~> 0.9.2.2"
+ gem.add_development_dependency "rspec", "~> 2.9.0"
+ gem.add_development_dependency "yard", "~> 0.7.5"
+ gem.add_development_dependency "webmock", "~> 1.8.6"
+end
View
7 lib/ashikawa-core.rb
@@ -0,0 +1,7 @@
+require "ashikawa-core/version"
+
+module Ashikawa
+ module Core
+ # Your code goes here...
+ end
+end
View
5 lib/ashikawa-core/version.rb
@@ -0,0 +1,5 @@
+module Ashikawa
+ module Core
+ VERSION = "0.0.1"
+ end
+end

0 comments on commit 21b14e8

Please sign in to comment.
Something went wrong with that request. Please try again.